/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.fol;

import edu.freiburg.dbis.rdd.sparql.IRI;

/**
 * FO formula representing a datatype specification
 * 
 * @author MSchmidt
 */
public class FODatatype extends FOFormula {
	
	protected IRI datatype;
	
	protected FOIRIOrSPARQLVariable elem;
	
	/**
	 * @param elem
	 * @param relation
	 */
	public FODatatype(FOIRIOrSPARQLVariable elem, IRI datatype) {
		this.elem = elem;
		this.datatype = datatype;
	}
	
	@Override
	public String toRIF() {
		StringBuffer buf = new StringBuffer();
		buf.append("DATATYPE");
		buf.append("(");
		buf.append(elem);
		buf.append(",");
		buf.append(datatype);		
		buf.append(")");
		
		return buf.toString();
	}
	
	@Override
	public String toSPARQL(boolean ask) {
		StringBuilder buf = new StringBuilder();
		buf.append(" (datatype(" + elem.toSPARQL() + ")=" + datatype.toSPARQL() + ")");
		return buf.toString();
	}
}