/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.fol;

/**
 * Representation of FO equality construct
 * 
 * @author MSchmidt
 */
public class FOEquals extends FOFormula {

	protected FOIRIOrSPARQLVariable left;
	protected FOIRIOrSPARQLVariable right;
	
	public FOEquals(FOIRIOrSPARQLVariable left, FOIRIOrSPARQLVariable right) {
		this.left = left;
		this.right = right;		
	}
	
	@Override
	public String toRIF() {
		StringBuffer buf = new StringBuffer();
		buf.append(left);
		buf.append("=");
		buf.append(right);
		
		return buf.toString();
	}

	@Override
	public String toSPARQL(boolean ask) {

		StringBuilder buf = new StringBuilder();
		buf.append(left.toSPARQL());
		buf.append("=");
		buf.append(right.toSPARQL());
		return buf.toString();
	}
}
