/*
Copyright 2014, Albert-Ludwigs-Universitt Freiburg (Database Group)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package edu.freiburg.dbis.rdd.parser;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

import org.junit.Test;

import edu.freiburg.dbis.rdd.model.RDD;

/**
 * Test parsing of the individual types encapsulated into
 * PROPERTIES and CLASSES section, each.
 * 
 * @author MSchmidt
 */
public class SP2BenchParseTest {

	private static String TEST_BASE_DIR = "examples/test/sp2bench/";
	
	@Test
	public void parseSP2BenchRDDs() 
	throws FileNotFoundException, ParseException {
		String rddFileOptimized = TEST_BASE_DIR + "sp2bench_optimized.rdd";
		String rddFileUnoptimized = TEST_BASE_DIR + "sp2bench_unoptimized.rdd";

		FileInputStream fisOptimized = new FileInputStream(new File(rddFileOptimized));
		FileInputStream fisUnoptimized = new FileInputStream(new File(rddFileUnoptimized));

	    RDDParser parserOptimized = new RDDParser(fisOptimized);
	    RDD rddOptimized = parserOptimized.rdd();	

	    RDDParser parserUnoptimized = new RDDParser(fisUnoptimized);
	    RDD rddUnoptimized = parserUnoptimized.rdd();	

	    // print
	    System.out.println(rddOptimized);
	    System.out.println("\n\n");

	    System.out.println(rddUnoptimized);
	    System.out.println("\n\n");	    
	}
}
